Freeciv-3.3: Data Fields

Freeciv-3.3

Loading...
Searching...
No Matches
Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - a -

- a : MD5_CTX, rgbacolor
- abbreviation : specialist
- abort : req_vec_fix
- aborted : cm_result
- abs_bonus : city
- abstain : packet_vote_update, vote, voteinfo
- abstain_button : voteinfo_bar
- abstain_count_label : voteinfo_bar
- accel : menu_entry_info
- accel_mod : menu_entry_info
- accept0 : Treaty
- accept1 : Treaty
- accept_applied_solutions() : req_vec_fix
- accept_solution() : req_vec_fix_problem
- accept_treaty : diplo_wdg
- access_level : connection, packet_conn_info
- access_level_read : setting
- access_level_write : setting
- accl : menu_entry_info
- account_for_broken_routes : caravan_parameter
- ach : ruledit_gui
- ach_list : tab_achievement
- achievement : universals_u
- achievers : achievement
- acquire_t : city
- act : act_confirmation_data, worker_activity_cache, worker_task
- act_cache : adv_city
- act_cache_radius_sq : adv_city
- act_dec : loaddata
- act_gfx : edit_extra
- act_gfx_alt : edit_extra, extra_type, packet_ruleset_extra
- act_gfx_alt2 : edit_extra, extra_type, packet_ruleset_extra
- act_gfx_alt2_given() : edit_extra
- act_gfx_alt_given() : edit_extra
- act_gfx_given() : edit_extra
- act_id : action_data, diplomat_dialog, packet_city_sabotage_list, small_diplomat_dialog
- act_kind : packet_ruleset_action
- act_prob_cache : unit
- act_reqs_button : tab_enabler
- action : action_enabler, loaddata, menu_entry_info, pf_danger_node, pf_fuel_node, pf_normal_node, qdef_act, req_context, save_dialog, setting, unit, unit_order, universals_u, widget
- action_area : gui_dialog
- action_button_map : choice_dialog
- action_city_menu : mr_menu
- action_decision_tile : packet_unit_info, unit
- action_decision_want : named_sprites, packet_unit_info, unit
- action_pixmap : hud_action
- action_probabilities : packet_unit_actions
- action_shortcut : hud_action
- action_timestamp : unit
- action_turn : unit
- action_type : packet_unit_action_answer, packet_unit_action_query, packet_unit_do_action
- action_unit_menu : mr_menu
- action_vs_city : mr_menu
- action_vs_unit : mr_menu
- actions : gov_menu, gui_dialog, pf_parameter, unit_actions
- activate : unit_item
- activate_and_close : unit_item
- activate_and_close_dialog() : unit_item
- activate_unit() : unit_item
- active : CONNLIST, scroll_bar, zoom_data
- active_command : cma_dialog
- active_count : units_entry
- active_menu : diplo_wdg
- active_widget_list : advanced_dialog
- activities : loaddata
- activity : actres, named_sprites, packet_edit_unit, packet_unit_change_activity, packet_unit_info, packet_unit_short_info, packet_worker_task, req_context, unit, unit_order, universals_u
- activity_base : packet_edit_unit
- activity_count : packet_edit_unit, packet_unit_info, unit
- activity_filter() : unit_hud_selector
- activity_gfx : extra_type, packet_ruleset_extra
- activity_offset_x : tileset
- activity_offset_y : tileset
- activity_target : unit
- activity_tgt : packet_unit_info, packet_unit_short_info
- activity_turns : actcalc
- actor : act_confirmation_data, action
- actor_consuming_always : action, packet_ruleset_action
- actor_id : packet_city_sabotage_list, packet_unit_action_answer, packet_unit_action_query, packet_unit_do_action
- actor_kind : action
- actor_reqs : action_enabler, packet_ruleset_action_enabler
- actor_unit_id : action_data, diplomat_dialog, packet_unit_actions, packet_unit_get_actions, small_diplomat_dialog
- actual : generate_packets.SizeInfo
- add() : conversion_log, effect_edit, qfc_units_list, req_edit, requirers_dlg
- add_all_cities() : trade_generator
- add_callback() : mr_idle
- ADD_CAP_PATTERN : generate_packets.FieldFlags
- add_caps : generate_packets.FieldFlags
- add_city() : trade_generator
- add_cmd : worklist_data
- add_combat_info() : hud_battle_log
- add_effect_to_list() : effect_edit
- add_extras_of_act_for_terrain() : help_widget
- add_game_tab() : fc_client
- add_idle_callback : gui_funcs
- add_info_label() : help_widget
- add_info_pixmap() : help_widget
- add_info_progress() : help_widget
- add_info_separator() : help_widget
- add_info_widget() : help_widget
- add_item() : choice_dialog, impr_info, unit_info, units_reports
- add_net_input : gui_funcs
- add_now() : effect_edit, req_edit, tab_achievement, tab_counter, tab_enabler, tab_extras, tab_good, tab_gov, tab_multiplier, tab_tech, tab_terrains, tab_unit
- add_now2() : tab_building
- add_option() : fc_shortcuts_dialog, option_dialog
- add_point : city_dialog
- add_preset_command : cma_dialog
- add_server_source() : fc_client
- add_tile() : trade_generator
- add_to_size_limit : packet_game_info
- add_widget() : diplo_dlg, fc_sidebar
- additional_phase_seconds : civ_game
- addr : connection, packet_conn_info
- adjective : nation_type, packet_ruleset_nation
- adv : city, cma_dialog, player, unit, unit_class, unit_type
- adv_dipl_slots : adv_data
- adv_dlg : widget
- advance : universals_u
- advanced : option_dialog
- ag_count : civ_game
- age : universals_u
- agent : call, packet_unit_server_side_agent_set
- ai : government, packet_edit_player, player
- ai_common : player
- ai_level : universals_u
- ai_manual_turn_done : client_options
- ai_phase_done : player
- ai_skill_level : packet_player_info
- ai_value_as : user_effect
- aifill : packet_game_info
- ailevel : pregame_options
- ailevel_change() : pregame_options
- aimg : hud_unit_combat
- airlift : city, packet_city_info, packet_edit_city
- airlift_city : goto_dialog
- airlift_from_always_enabled : packet_game_info
- airlift_menu : mr_menu
- airlift_to() : goto_dialog
- airlift_to_always_enabled : packet_game_info
- airlift_type : mr_menu
- airlift_type_id : mr_menu
- airliftable : adv_data
- airlifting_style : packet_game_info
- ais : city, player, unit, unit_type
- ait : texai_thr
- all_advances() : diplo_wdg
- all_caps() : generate_packets.Field, generate_packets.Packet, generate_packets.PacketsDefinition
- all_changed() : city_model
- all_connections : civ_game
- all_fields : generate_packets.Packet
- allied_with_enemy : adv_dipl
- allocated : drawing_data::drawing_layer
- allow_ai_type_fallback : packet_scenario_info
- allow_digital_boolean : section_file
- allow_disorder : cm_parameter
- allow_duplicates : section_file
- allow_foreign_trade : caravan_parameter
- allow_specialists : cm_parameter
- allow_take : civ_game
- allowed_city_names : civ_game
- allowed_govs : civ_game
- allowed_styles : civ_game
- allowed_terrains : civ_game
- allows_actions : impr_type
- allows_extras : impr_type
- allows_units : impr_type
- ally_label : plr_report
- ally_patience : ai_dip_intel
- ally_str : plr_widget
- alt : client_disband_unit_data
- alt_dir : packet_ruleset_control
- alternative : ae_contra_or
- alternatives : action_auto_perf, ae_contra_or, packet_ruleset_action_auto
- alternatives_count : packet_ruleset_action_auto
- altitude : packet_tile_info, tile
- altitude_info : civ_map, packet_map_info
- anarchy : city, packet_edit_city
- anchor_clicked() : chatwdg, help_widget
- angry : player_score
- angry_priority : adv_data
- angrycitizen : packet_game_info
- animal : packet_ruleset_terrain, terrain
- animals : civ_map
- announce : server_arguments
- any : unit_hud_selector
- any_activity : unit_hud_selector
- any_type : unit_hud_selector
- anywhere : unit_hud_selector
- appearance_chance : extra_type, packet_ruleset_extra
- appearance_reqs : extra_type, packet_ruleset_extra
- append() : chatwdg
- append_cmd : worklist_data
- applied_player_no : editor_tool
- apply_accepted_changes() : fix_enabler_item, req_vec_fix_item
- apply_changes() : message_dlg, req_vec_fix
- apply_fullscreen() : fc_client
- apply_option() : fc_shortcuts_dialog, option_dialog
- apply_options() : option_dialog
- apply_solution() : req_vec_fix
- aqueductloss : civ_game
- area : conversion_log, requirers_dlg, widget
- arg : call
- arg_types : luascript_func, signal
- args : mapdef
- army_icon : theme_icons
- ARMY_PAGE : city_dialog
- array : advance_req_iter, advance_root_req_iter, generate_packets.FieldType, generate_packets.NeedSizeType, generate_packets.RawFieldType, generate_packets.StructType
- ARRAY_SIZE_PATTERN : generate_packets.SizeInfo
- arrival_time : caravan_result
- arrow : named_sprites
- as_count : civ_game
- ask_city_name : client_options
- asked_about_alliance : ai_dip_intel
- asked_about_ceasefire : ai_dip_intel
- asked_about_peace : ai_dip_intel
- asking_city_name : unit
- at_count : civ_game
- at_eof : inputfile
- at_war_with_ally : ai_dip_intel
- att_hp : hud_unit_combat
- att_hp_loss : hud_unit_combat
- att_veteran : hud_unit_combat
- attack : ai_city, ai_invasion, edit_utype
- attack_strength : packet_ruleset_unit, unit_type
- attacker : hud_unit_combat
- attacker_hp : packet_unit_combat_info
- attacker_unit_id : packet_unit_combat_info
- attention : named_sprites
- attribute_block : player
- attribute_block_buffer : player
- auth_allow_guests : server_arguments
- auth_allow_newusers : server_arguments
- auth_enabled : server_arguments
- auth_settime : connection
- auth_tries : connection
- authors : packet_scenario_info
- auto_ai_toggle : civ_game
- auto_attack : named_sprites
- auto_cancel_turn : player_diplstate
- auto_center_each_turn : client_options
- auto_center_on_automated : client_options
- auto_center_on_combat : client_options
- auto_center_on_unit : client_options
- auto_explore : named_sprites
- auto_turn_done : client_options
- auto_worker : named_sprites
- autoaccept_musicset_suggestion : client_options
- autoaccept_soundset_suggestion : client_options
- autoaccept_tileset_suggestion : client_options
- autoattack : civ_game
- autocaravan : qtiles
- autoinstall : fcmp_params
- autosaves : civ_game
- autoselect_weight : packet_edit_player, packet_player_info, player
- autoupgrade_veteran_loss : civ_game
- aux : city_sum
- auxfmt : city_sum
- available_boats : ai_plr
- average_production : adv_data
- avoid : terrain_select